// file: tr_hist_4.cc
//

// isip include files
//
#include "trace.h"
#include "trace_constants.h"

// method: add_path_cc
//
// arguments:
//  History*: (input) the history node to be added to the prev history list
//  float_4 pscore: (input) the path score for this path
//
// return: a logical_1 indicating status
//
// this method inserts the history node to be added to the prev
// history list in a sorted manner
//
logical_1 Trace::add_path_cc(History* hist_a, float_4 pscore_a) {

  // if the history to be added is a null, exit disgracefully
  //
  if ((history_d == (History*)NULL) || (hist_a == (History*)NULL)) {
    return ISIP_FALSE;
  }
  
  // add the history node to the backpointer list
  //
  history_d->add_prev_cc(hist_a, pscore_a, max_hist_d);
  
  // exit gracefully
  //
  return ISIP_TRUE;
}
